/*
 * diot_util - diagnostic tool for DIOT system board
 * 
 * Author: Adam Wujek for CERN
 * Copyright CERN 2021
 * 
 */

#ifndef __DIOT_UTIL_H
#define __DIOT_UTIL_H

struct command_entry {
    char *cmd_name;
    int (*cmd_func)(char *params);
    char *cmd_help_string;
    char *cmd_params;
};

int cmd_help(char *params);

#define COLOR_RED "\033[1;31m"
#define COLOR_OFF "\033[0m"

#endif /* __DIOT_UTIL_H */
