SUMMARY = "lmsensors configuration files specific for diot"
SECTION = "PETALINUX/apps"
LICENSE = "GPLv3+"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/GPL-3.0;md5=c79ff39f19dfec6d293b95dea7b07891"

SRC_URI = "\
           file://hartmann_psu.conf    \
           file://i2c-bus.conf         \
           file://irps5401.conf        \
           file://lm75.conf            \
           file://max6639.conf         \
           file://monimod_fantray.conf \
"
FILESEXTRAPATHS_prepend := "${THISDIR}/hw_v${SB_VER}:"

RDEPENDS_${PN} = "lmsensors-config-libsensors"

S = "${WORKDIR}"

do_install() {
    install -d ${D}${sysconfdir}/sensors.d
    install -m 0644 ${S}/*.conf    ${D}${sysconfdir}/sensors.d
}
